## org.apache.lucene.analysis.miscellaneous
Class LimitTokenCountFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.miscellaneous.LimitTokenCountFilterFactory

    public class LimitTokenCountFilterFactory

extends TokenFilterFactory

Factory for `LimitTokenCountFilter`.

     <fieldType name="text_lngthcnt" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.LimitTokenCountFilterFactory" maxTokenCount="10" consumeAllTokens="false" />
       </analyzer>
     </fieldType>

The `consumeAllTokens` property is optional and defaults to `false`. See `LimitTokenCountFilter` for an explanation of it's use.

Field Summary
`static String` `CONSUME_ALL_TOKENS_KEY`
`static String` `MAX_TOKEN_COUNT_KEY`

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`LimitTokenCountFilterFactory(Map<String,String> args)` Creates a new LimitTokenCountFilterFactory

Method Summary
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_TOKEN_COUNT_KEY

    public static final String MAX_TOKEN_COUNT_KEY

See Also:
  Constant Field Values

### CONSUME_ALL_TOKENS_KEY

    public static final String CONSUME_ALL_TOKENS_KEY

See Also:
  Constant Field Values

Constructor Detail

### LimitTokenCountFilterFactory

    public LimitTokenCountFilterFactory(Map<String,String> args)

  Creates a new LimitTokenCountFilterFactory

Method Detail

### create

    public TokenStream create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.